#![allow(clippy::let_underscore_untyped)]

#[rustversion::not(nightly)]
#[ignore = "requires nightly"]
#[cfg(feature = "std")]
#[test]
fn test_backtrace() {}

#[rustversion::nightly]
#[cfg(feature = "std")]
#[test]
fn test_backtrace() {
    use anyhow2::anyhow;

    let error = anyhow!("oh no!");
    let _ = error.backtrace();
}
